GETNAMEINFO(1)

NAME
"getnameinfo" - command-line tool to "getnameinfo(3)" resolver

SYNOPSIS
getnameinfo [options...] address port

DESCRIPTION
This tool provides a convenient command-line wrapper around the getnameinfo(3) resolver function. It will perform a single reverse lookup to convert an address and port number into its host and service names. This is mainly useful when debugging names resolution problems, because it allows inspection of the getnameinfo(3) behaviour itself, outside of any real program that is trying to use it.

OPTIONS

--address, -A ADDR
    Numerical form of address to look up. If not supplied, will use the first positional argument.

--port, -P PORT
    Port number to look up. If not supplied, will use the second positional argument.

--dgram
    Sets the "NI_DGRAM" flag; looks up a "SOCK_DGRAM" (udp) port allocation rather than "SOCK_STREAM" (tcp).

--help
    Display a help summary and exit

AUTHOR
Paul Evans <leonerd@leonerd.org.uk>